## ros-foxy-qpoases-vendor 3.2.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

project(qpoases_vendor)

find_package(ament_cmake_auto REQUIRED)
ament_auto_find_build_dependencies()

include(ExternalProject)
ExternalProject_Add(qpoases_3_2
  SVN_REPOSITORY https://projects.coin-or.org/svn/qpOASES/stable/3.2
  SVN_TRUST_CERT TRUE
  BUILD_IN_SOURCE TRUE
  INSTALL_COMMAND ""
)

ExternalProject_Get_property(qpoases_3_2 SOURCE_DIR)

set(qpOASES_CXX_LIBRARY ${SOURCE_DIR}/libs/libqpOASES.a)

add_library(qpOASES STATIC IMPORTED
  IMPORTED_LOCATION ${qpOASES_CXX_LIBRARY})

install(DIRECTORY ${SOURCE_DIR}/include/
  DESTINATION include
)

install(FILES ${qpOASES_CXX_LIBRARY}
  DESTINATION lib
)

ament_export_libraries(${qpOASES})

ament_auto_package()

=== debian/changelog ===
ros-foxy-qpoases-vendor (3.2.3-2focal) focal; urgency=high

  * Updating for ROS2
  * Contributors: Joshua Whitley

 -- Geoffrey Biggs <geoff.biggs@tier4.jp>  Thu, 24 Jun 2021 05:00:00 -0000

ros-foxy-qpoases-vendor (3.2.1-2focal) focal; urgency=high

  * Adding missing dependency on subversion.
  * Contributors: Joshua Whitley

 -- Geoffrey Biggs <geoff.biggs@tier4.jp>  Tue, 15 Oct 2019 05:00:00 -0000

ros-foxy-qpoases-vendor (3.2.0-2focal) focal; urgency=high

  * Fixing schema link for package.xml.
  * CI: Adding basic CI script.
  * Install in standard package-prefixed include dir.
  * Use CMake in qpOASES build and switch to static lib.
  * Convert to catkin package
    Signed-off-by: Geoffrey Biggs <mailto:geoff.biggs@tier4.jp>
  * Use pure CMake build
  * First pass at a vendor package shim for qpOASES
    Signed-off-by: Geoffrey Biggs <mailto:geoff.biggs@tier4.jp>
  * Initial commit
  * Contributors: Geoffrey Biggs, Joshua Whitley

 -- Geoffrey Biggs <geoff.biggs@tier4.jp>  Tue, 10 Sep 2019 05:00:00 -0000

=== debian/control ===
Source: ros-foxy-qpoases-vendor
Section: misc
Priority: optional
Maintainer: Geoffrey Biggs <geoff.biggs@tier4.jp>
Build-Depends: debhelper (>= 9.0.0), ros-foxy-ament-cmake-auto, subversion, ros-foxy-ros-workspace
Homepage: https://projects.coin-or.org/qpOASES
Standards-Version: 3.9.2

Package: ros-foxy-qpoases-vendor
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, subversion, ros-foxy-ros-workspace
Description: Wrapper around qpOASES to make it available to the ROS ecosystem.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/foxy/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/foxy" \
		-DAMENT_PREFIX_PATH="/opt/ros/foxy" \
		-DCMAKE_PREFIX_PATH="/opt/ros/foxy"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-foxy-qpoases-vendor//opt/ros/foxy/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_install
